Erro 400 - GET Request

Olá, estou tentando consumir uma API através do builder, porém quando faço a requisição é como se o builder não reconhecesse o header “Content-Type” e me retorna o erro 400.

A mesma requisição funciona corretamente no POSTMAN

Oi @Adriano_da_Silva_Vie! Tudo bem?
Eu sou a Bia e trabalho aqui na Take Blip no time de Comunidade :blush:

Vou pedir que o @Bruno tente te ajudar com essa questão, ok? Ele é Desenvolvedor e manja muito do Blip :grin:

Você também pode abrir um chamado pelo link: https://support.blip.ai/ ](https://support.blip.ai/

@Adriano_da_Silva_Vie como vai?

No Blip, quando você coloca o content-type como application/json ele é alterado para application/json;chatset=utf8. Teste no Postman se sua API funciona com este content-type, por favor.

2 Curtidas

Ah sim, entendi, ela não aceita neste formato, eu vou ver se consigo fazer com que alterem isso na API, mas por via das dúvidas a alguma outra forma de contornar isso?

Aliás chatset=utf8 ou charset=utf8 ?

Olá, Adriano! É charset=utf8 mesmo!

Só um pequeno disclaimer: pra requisições do tipo GET, não é necessário passar esse cabeçalho, pois ele somente define o que tá indo no corpo da requisição. Como o tipo GET não tem corpo, não é necessário passar!

2 Curtidas

Obrigado pelos esclarecimentos pessoal, consegui resolver com algumas alterações no lado da API.

1 Curtida